#!/bin/sh -e

export LC_ALL=C.UTF-8

pkgname=httpuv
debname=r-cran-httpuv

if [ "$AUTOPKGTEST_TMP" = "" ] ; then
    AUTOPKGTEST_TMP=`mktemp -d /tmp/${debname}-test.XXXXXX`
    trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
fi
cd $AUTOPKGTEST_TMP
cp -a /usr/share/doc/$debname/tests/* $AUTOPKGTEST_TMP
gunzip -r *

# Hack around a problematic test
mkdir testthat/tests
ln -s $(pwd)/testthat testthat/tests/testthat

for testfile in *.R; do
    echo "BEGIN TEST $testfile"
    R --no-save < $testfile
done

